function fnSaveCodeDesc(DisplayMessage) {
	var returnValue;
	if (DisplayMessage == 1) {
		var himsValidator = [new hims_ctl_val('ctl00_CP_CodeDescriptionTextBox', "Code", "T", "", "", "", ""),
			new hims_ctl_val('ctl00_CP_DescriptionValueTextBox', "Name", "T", "", "", "", "")];
	}
	else if (DisplayMessage == 3) {
		var himsValidator = [new hims_ctl_val('ctl00_CP_CodeDescriptionTextBox', "Code", "T", "", "", "", ""),
			new hims_ctl_val('ctl00_CP_DescriptionValueTextBox', "Name", "T", "", "", "", "")];
	} else if (DisplayMessage == 4) {
		var himsValidator = [new hims_ctl_val('ctl00_CP_CodeDescriptionTextBox', "Title", "T", "", "", "", ""),
			new hims_ctl_val('ctl00_CP_DescriptionValueTextBox', "Remark", "T", "", "", "", "")];
	}
	else {
		var himsValidator = [new hims_ctl_val('ctl00_CP_CodeDescriptionTextBox', "Code", "T", "", "", "", ""),
			new hims_ctl_val('ctl00_CP_DescriptionValueTextBox', "Name", "T", "", "", "", "")];
	}
	if (fnDoValidate(himsValidator))
		return true;
	else
		return false;
}
function fnSaveDescValue() {
	var returnValue;
	var himsValidator = [new hims_ctl_val('ctl00_CP_CodeDescriptionTextBox', MessageVars.COM_0027, "T", "", "", "", ""),
		new hims_ctl_val('ctl00_CP_DescriptionValueTextBox', MessageVars.COM_0028, "T", "", "", "", "")];
	if (fnDoValidate(himsValidator))
		return true;
	else
		return false;
}
function fnClearTabIndexChange() {
	if (gE('ctl00_CP_CodeDescriptionTextBox').disabled == false)
		gE('ctl00_CP_CodeDescriptionTextBox').focus();
}
function uppercase() {
	key = window.event.keyCode;
	if ((key > 0x60) && (key < 0x7B))
		window.event.keyCode = key - 0x20;
}